const GAVL_META_TITLE = "Title";
const GAVL_META_SEARCH_TITLE = "SearchTitle";
const GAVL_META_ORIGINAL_TITLE = "OriginalTitle";
const GAVL_META_ID = "ID";
const GAVL_META_UUID = "UUID";
const GAVL_META_LOCKED = "Locked";
const GAVL_META_PARENT_ID = "ParentID";
const GAVL_META_NEXT_ID = "NextID";
const GAVL_META_PREVIOUS_ID = "PreviousID";
const GAVL_META_ARTIST = "Artist";
const GAVL_META_ALBUMARTIST = "Albumartist";
const GAVL_META_AUTHOR = "Author";
const GAVL_META_COPYRIGHT = "Copyright";
const GAVL_META_ALBUM = "Album";
const GAVL_META_GENRE = "Genre";
const GAVL_META_TRACKNUMBER = "Track";
const GAVL_META_DATE = "Date";
const GAVL_META_DATE_CREATE = "CreationDate";
const GAVL_META_DATE_MODIFY = "ModificationDate";
const GAVL_META_MTIME = "mtime";
const GAVL_META_TOTAL_BYTES = "totalbytes";
const GAVL_META_YEAR = "Year";
const GAVL_META_LANGUAGE = "Language";
const GAVL_META_COMMENT = "Comment";
const GAVL_META_RELURL = "RelURL";
const GAVL_META_REFURL = "RefURL";
const GAVL_META_SOFTWARE = "Software";
const GAVL_META_CREATOR = "Creator";
const GAVL_META_FORMAT = "Format";
const GAVL_META_FORMAT_MP3 = "MP3";
const GAVL_META_FORMAT_FLAC = "Flac";
const GAVL_META_LABEL = "Label";
const GAVL_META_BITRATE = "Bitrate";
const GAVL_META_AUDIO_BITS = "BitsPerSample";
const GAVL_META_VIDEO_BPP = "BitsPerPixel";
const GAVL_META_VENDOR = "Vendor";
const GAVL_META_DISK_NAME = GAVL_META_LABEL;
const GAVL_META_DEVICE = "Device";
const GAVL_META_STATION = "Station";
const GAVL_META_STATION_URL = "StationURL";
const GAVL_META_LOGO_URL = "LogoURL";
const GAVL_META_APPROX_DURATION = "ApproxDuration";
const GAVL_META_MIMETYPE = "MimeType";
const GAVL_META_URI = "URI";
const GAVL_META_SRC = "src";
const GAVL_META_SRCIDX = "srcidx";
const GAVL_META_TOTAL_TRACKS = "TotalTracks";
const GAVL_META_BIG_ENDIAN = "BigEndian";
const GAVL_META_ACTOR = "Actor";
const GAVL_META_DIRECTOR = "Director";
const GAVL_META_COUNTRY = "Country";
const GAVL_META_COUNTRY_CODE_3 = "CountryCode3";
const GAVL_META_COUNTRY_CODE_2 = "CountryCode2";
const GAVL_META_DESCRIPTION = "Description";
const GAVL_META_PLOT = GAVL_META_DESCRIPTION;
const GAVL_META_AUDIO_LANGUAGES = "AudioLanguages";
const GAVL_META_SUBTITLE_LANGUAGES = "SubtitleLanguages";
const GAVL_META_COVER_URL = "CoverURL";
const GAVL_META_COVER_EMBEDDED = "CoverEmbedded";
const GAVL_META_COVER_OFFSET = "CoverOffset";
const GAVL_META_COVER_SIZE = "CoverSize";
const GAVL_META_WALLPAPER_URL = "WallpaperURL";
const GAVL_META_POSTER_URL = "PosterURL";
const GAVL_META_ICON_URL = "IconURL";
const GAVL_META_ICON_NAME = "IconName";
const GAVL_META_CAN_SEEK = "CanSeek";
const GAVL_META_CAN_PAUSE = "CanPause";
const GAVL_META_SAMPLE_ACCURATE = "SampleAccurate";
const GAVL_META_ASYNC = "Async";
const GAVL_META_AVG_BITRATE = "AVGBitrate";
const GAVL_META_AVG_FRAMERATE = "AVGFramerate";
const GAVL_META_AUDIO_CHANNELS = "Channels";
const GAVL_META_AUDIO_SAMPLERATE = "Samplerate";
const GAVL_META_AUDIO_BITRATE = "AudioBitrate";
const GAVL_META_VIDEO_BITRATE = "VideoBitrate";
const GAVL_META_AUDIO_CODEC = "AudioCodec";
const GAVL_META_VIDEO_CODEC = "VideoCodec";
const GAVL_META_VIDEO_ASPECT_RATIO = "VideoAspectRatio";
const GAVL_META_WIDTH = "w";
const GAVL_META_HEIGHT = "h";
const GAVL_META_X = "x";
const GAVL_META_Y = "y";
const GAVL_META_NUM_CHILDREN = "NumChildren";
const GAVL_META_NUM_ITEM_CHILDREN = "NumItemChildren";
const GAVL_META_NUM_CONTAINER_CHILDREN = "NumContainerChildren";
const GAVL_META_CHILDREN = "children";
const GAVL_META_IDX = "idx";
const GAVL_META_TOTAL = "total";
const GAVL_META_SHOW = "Show";
const GAVL_META_SEASON = "Season";
const GAVL_META_EPISODENUMBER = "EPNum";
const GAVL_META_RATING = "Rating";
const GAVL_META_PARENTAL_CONTROL = "ParentalControl";
const GAVL_META_TAG = "Tag";
const GAVL_META_NFO_FILE = "NFOFILE";
const GAVL_META_STREAM_DURATION = "duration";
const GAVL_META_STREAM_FORMAT = "fmt";
const GAVL_META_STREAM_PACKET_TIMESCALE = "pscale";
const GAVL_META_STREAM_SAMPLE_TIMESCALE = "sscale";
const GAVL_META_STREAM_ID = "streamid";
const GAVL_META_STREAM_ID_MSG_DEMUXER = -1;
const GAVL_META_STREAM_ID_MSG_PROGRAM = -2;
const GAVL_META_STREAM_ID_MSG_CONTROL = -3;
const GAVL_META_STREAM_ID_MEDIA_START = 1;
const GAVL_META_STREAM_STATS = "stats";
const GAVL_META_STREAM_STATS_NUM_BYTES = GAVL_META_TOTAL_BYTES;
const GAVL_META_STREAM_STATS_NUM_PACKETS = "TotalPackets";
const GAVL_META_STREAM_STATS_PTS_START = "PTSStart";
const GAVL_META_STREAM_STATS_PTS_END = "PTSEnd";
const GAVL_META_STREAM_STATS_PACKET_SIZE_MIN = "minsize";
const GAVL_META_STREAM_STATS_PACKET_SIZE_MAX = "maxsize";
const GAVL_META_STREAM_STATS_PACKET_DURATION_MIN = "mindur";
const GAVL_META_STREAM_STATS_PACKET_DURATION_MAX = "maxdur";
const GAVL_META_STREAMS = "streams";
const GAVL_META_STREAM_TYPE = "streamtype";
const GAVL_META_METADATA = "metadata";
const GAVL_META_EDL = "edl";
const GAVL_META_TRACKS = GAVL_META_CHILDREN;
const GAVL_META_CURIDX = "curidx";
const GAVL_META_PARTS = "parts";
const GAVL_META_MSG_TIMESTAMP = "timestamp";
const GAVL_META_MEDIA_CLASS = "MediaClass";
const GAVL_META_CHILD_CLASS = "ChildClass";
const GAVL_META_MEDIA_CLASS_ITEM = "item";
const GAVL_META_MEDIA_CLASS_AUDIO_FILE = "item.audio";
const GAVL_META_MEDIA_CLASS_VIDEO_FILE = "item.video";
const GAVL_META_MEDIA_CLASS_AUDIO_DISK_TRACK = "item.audio.disktrack";
const GAVL_META_MEDIA_CLASS_VIDEO_DISK_TRACK = "item.video.disktrack";
const GAVL_META_MEDIA_CLASS_SONG = "item.audio.song";
const GAVL_META_MEDIA_CLASS_MOVIE = "item.video.movie";
const GAVL_META_MEDIA_CLASS_MOVIE_PART = "item.video.movie.part";
const GAVL_META_MEDIA_CLASS_MOVIE_MULTIPART = "item.video.movie.multipart";
const GAVL_META_MEDIA_CLASS_AUDIO_PODCAST_EPISODE = "item.audio.podcastepisode";
const GAVL_META_MEDIA_CLASS_VIDEO_PODCAST_EPISODE = "item.video.podcastepisode";
const GAVL_META_MEDIA_CLASS_TV_EPISODE = "item.video.episode";
const GAVL_META_MEDIA_CLASS_AUDIO_BROADCAST = "item.audio.broadcast";
const GAVL_META_MEDIA_CLASS_VIDEO_BROADCAST = "item.video.broadcast";
const GAVL_META_MEDIA_CLASS_IMAGE = "item.image";
const GAVL_META_MEDIA_CLASS_FILE = "item.file";
const GAVL_META_MEDIA_CLASS_LOCATION = "item.location";
const GAVL_META_MEDIA_CLASS_AUDIO_RECORDER = "item.recorder.audio";
const GAVL_META_MEDIA_CLASS_VIDEO_RECORDER = "item.recorder.video";
const GAVL_META_MEDIA_CLASS_CONTAINER = "container";
const GAVL_META_MEDIA_CLASS_MUSICALBUM = "container.musicalbum";
const GAVL_META_MEDIA_CLASS_PHOTOALBUM = "container.photoalbum";
const GAVL_META_MEDIA_CLASS_PLAYLIST = "container.playlist";
const GAVL_META_MEDIA_CLASS_PODCAST = "container.podcast";
const GAVL_META_MEDIA_CLASS_CONTAINER_ACTOR = "container.category.actor";
const GAVL_META_MEDIA_CLASS_CONTAINER_DIRECTOR = "container.category.director";
const GAVL_META_MEDIA_CLASS_CONTAINER_ARTIST = "container.category.artist";
const GAVL_META_MEDIA_CLASS_CONTAINER_COUNTRY = "container.category.country";
const GAVL_META_MEDIA_CLASS_CONTAINER_GENRE = "container.category.genre";
const GAVL_META_MEDIA_CLASS_CONTAINER_LANGUAGE = "container.category.language";
const GAVL_META_MEDIA_CLASS_CONTAINER_TAG = "container.category.tag";
const GAVL_META_MEDIA_CLASS_CONTAINER_YEAR = "container.category.year";
const GAVL_META_MEDIA_CLASS_TV_SEASON = "container.season";
const GAVL_META_MEDIA_CLASS_TV_SHOW = "container.tvshow";
const GAVL_META_MEDIA_CLASS_DIRECTORY = "container.directory";
const GAVL_META_MEDIA_CLASS_MULTITRACK_FILE = "container.multitrackfile";
const GAVL_META_MEDIA_CLASS_ROOT = "container.root";
const GAVL_META_MEDIA_CLASS_ROOT_PLAYQUEUE = "container.root.playqueue";
const GAVL_META_MEDIA_CLASS_ROOT_MUSICALBUMS = "container.root.musicalbums";
const GAVL_META_MEDIA_CLASS_ROOT_SONGS = "container.root.songs";
const GAVL_META_MEDIA_CLASS_ROOT_PLAYLISTS = "container.root.playlists";
const GAVL_META_MEDIA_CLASS_ROOT_MOVIES = "container.root.movies";
const GAVL_META_MEDIA_CLASS_ROOT_TV_SHOWS = "container.root.tvshows";
const GAVL_META_MEDIA_CLASS_ROOT_WEBRADIO = "container.root.webradio";
const GAVL_META_MEDIA_CLASS_ROOT_DIRECTORIES = "container.root.directories";
const GAVL_META_MEDIA_CLASS_ROOT_PHOTOS = "container.root.photos";
const GAVL_META_MEDIA_CLASS_ROOT_PODCASTS = "container.root.podcasts";
const GAVL_META_MEDIA_CLASS_ROOT_RECORDERS = "container.root.recorders";
const GAVL_META_MEDIA_CLASS_ROOT_INCOMING = "container.root.incoming";
const GAVL_META_MEDIA_CLASS_ROOT_FAVORITES = "container.root.favorites";
const GAVL_META_MEDIA_CLASS_ROOT_BOOKMARKS = "container.root.bookmarks";
const GAVL_META_MEDIA_CLASS_ROOT_LIBRARY = "container.root.library";
const GAVL_META_MEDIA_CLASS_ROOT_NETWORK = "container.root.network";
const GAVL_META_MEDIA_CLASS_ROOT_REMOVABLE = "container.root.removable";
const GAVL_META_MEDIA_CLASS_ROOT_REMOVABLE_AUDIOCD = "container.root.removable.cd.audio";
const GAVL_META_MEDIA_CLASS_ROOT_REMOVABLE_VCD = "container.root.removable.cd.vcd";
const GAVL_META_MEDIA_CLASS_ROOT_REMOVABLE_SVCD = "container.root.removable.cd.svcd";
const GAVL_META_MEDIA_CLASS_ROOT_REMOVABLE_VIDEODVD = "container.root.removable.dvd.video";
const GAVL_META_MEDIA_CLASS_ROOT_REMOVABLE_FILESYSTEM = "container.root.removable.filesystem";
const GAVL_META_MEDIA_CLASS_ROOT_REMOVABLE_FILESYSTEM_HDD = "container.root.removable.filesystem.hdd";
const GAVL_META_MEDIA_CLASS_ROOT_REMOVABLE_FILESYSTEM_PENDRIVE = "container.root.removable.filesystem.pendrive";
const GAVL_META_MEDIA_CLASS_ROOT_REMOVABLE_FILESYSTEM_MEMORYCARD = "container.root.removable.filesystem.memorycard";
const GAVL_META_MEDIA_CLASS_ROOT_REMOVABLE_FILESYSTEM_MOBILE = "container.root.removable.filesystem.mobile";
const GAVL_META_MEDIA_CLASS_ROOT_REMOVABLE_FILESYSTEM_CD = "container.root.removable.filesystem.cdrom";
const GAVL_META_MEDIA_CLASS_ROOT_REMOVABLE_FILESYSTEM_DVD = "container.root.removable.filesystem.dvd";
const GAVL_META_MEDIA_CLASS_ROOT_SERVER = "container.root.server";
const GAVL_META_GUI_ERROR = "GUIError";
const GAVL_META_GUI_SELECTED = "GUISelected";
const GAVL_META_GUI_CURRENT = "GUICurrent";
const GAVL_MSG_HEADER_TIMESTAMP = "timestamp";
const GAVL_MSG_NONE = -1;
const GAVL_MSG_MAX_ARGS = 16;
const GAVL_MSG_NS_LOG = 1;
const GAVL_MSG_NS_GENERIC = 2;
const GAVL_MSG_NS_SRC = 3;
const GAVL_MSG_NS_GUI = 4;
const GAVL_MSG_NS_GAVF = 5;
const GAVL_CMD_QUIT = 1;
const GAVL_CMD_PING = 2;
const GAVL_MSG_QUIT = 100;
const GAVL_MSG_PONG = 101;
const GAVL_MSG_PROGRESS = 101;
const GAVL_MSG_SRC_METADATA_CHANGED = 1;
const GAVL_MSG_SRC_ASPECT_CHANGED = 2;
const GAVL_MSG_SRC_BUFFERING = 3;
const GAVL_MSG_SRC_AUTHENTICATE = 4;
const GAVL_MSG_SRC_RESYNC = 5;
const GAVL_MSG_SRC_EOF = 6;
const GAVL_CMD_SRC_AUTHENTICATE = 101;
const GAVL_CMD_SRC_SELECT_TRACK = 102;
const GAVL_CMD_SRC_SEEK = 103;
const GAVL_CMD_SRC_START = 105;
const GAVL_CMD_SRC_PAUSE = 106;
const GAVL_CMD_SRC_RESUME = 107;
const GAVL_MSG_GUI_KEY_PRESS = 1;
const GAVL_MSG_GUI_KEY_RELEASE = 2;
const GAVL_MSG_GUI_BUTTON_PRESS = 3;
const GAVL_MSG_GUI_BUTTON_RELEASE = 4;
const GAVL_MSG_GUI_BUTTON_DOUBLECLICK = 5;
const GAVL_MSG_GUI_MOUSE_MOTION = 6;
const GAVL_MSG_GUI_ACCEL = 7;
const GAVL_MSG_GUI_WINDOW_COORDS = 8;
const GAVL_MSG_GUI_SWIPE = 9;
const GAVL_MSG_GUI_SWIPE_UP = 1;
const GAVL_MSG_GUI_SWIPE_DOWN = 2;
const GAVL_MSG_GUI_SWIPE_LEFT = 3;
const GAVL_MSG_GUI_SWIPE_RIGHT = 4;
const GAVL_CMD_GUI_SET_WINDOW_TITLE = 100;
const GAVL_MSG_GAVF_PACKET_ACK = 1;
const GAVL_MSG_GAVF_RESYNC = 2;
const GAVL_MSG_GAVF_READ_PROGRAM_HEADER_START = (0x1000|1);
const GAVL_MSG_GAVF_READ_PROGRAM_HEADER_END = (0x1000|2);
const GAVL_MSG_GAVF_WRITE_HEADER_START = (0x1000|3);
const GAVL_MSG_GAVF_WRITE_HEADER_END = (0x1000|4);
const GAVL_MSG_GAVF_READ_SYNC_HEADER_START = (0x1000|5);
const GAVL_MSG_GAVF_READ_SYNC_HEADER_END = (0x1000|6);
const GAVL_MSG_GAVF_WRITE_SYNC_HEADER_START = (0x1000|7);
const GAVL_MSG_GAVF_WRITE_SYNC_HEADER_END = (0x1000|8);
const GAVL_MSG_GAVF_READ_PACKET_START = (0x1000|9);
const GAVL_MSG_GAVF_READ_PACKET_END = (0x1000|10);
const GAVL_MSG_GAVF_WRITE_PACKET_START = (0x1000|11);
const GAVL_MSG_GAVF_WRITE_PACKET_END = (0x1000|12);
const GAVL_MSG_GAVF_GOT_EOF = (0x1000|13);
const GAVL_MSG_ID = "ID";
const GAVL_MSG_NS = "NS";
const GAVL_MSG_CLIENT_ID = "ClientID";
const GAVL_MSG_CONTEXT_ID = "ContextID";
const GAVL_MSG_TIMESTAMP = "TS";
const GAVL_MSG_NOT_LAST = "NotLast";
const GAVL_MSG_FUNCTION_TAG = "FunctionTag";
const BG_FUNCTION_TAG = GAVL_MSG_FUNCTION_TAG;
const BG_MSG_NS_PARAMETER = 100;
const BG_MSG_NS_BACKEND = 101;
const BG_MSG_NS_PLAYER = 102;
const BG_MSG_NS_TRANSCODER = 103;
const BG_MSG_NS_VISUALIZER = 104;
const BG_MSG_NS_GUI_PLAYER = 105;
const BG_MSG_NS_UPNP = 106;
const BG_MSG_NS_TREE = 107;
const BG_MSG_NS_PLAYER_PRIV = 109;
const BG_MSG_NS_MENU = 111;
const BG_MSG_NS_STATE = 112;
const BG_MSG_NS_RECORDER = 113;
const BG_MSG_NS_DB = 114;
const BG_MSG_NS_SSDP = 115;
const BG_MSG_NS_MDB_PRIVATE = 116;
const BG_MSG_NS_VOLUMEMANAGER = 117;
const BG_MSG_NS_DOWNLOADER = 118;
const BG_MSG_NS_PRIVATE = 200;
const BG_MSG_SET_PARAMETER = 1;
const BG_MSG_SET_PARAMETER_CTX = 2;
const BG_MSG_PARAMETER_CHANGED_CTX = 3;
const BG_MSG_SET_CHAIN_PARAMETER_CTX = 4;
const BG_MSG_SET_MULTI_PARAMETER_CTX = 5;
const BG_CMD_DB_SPLICE_CHILDREN = 1;
const BG_CMD_DB_LOAD_URIS = 2;
const BG_CMD_DB_SORT = 4;
const BG_CMD_DB_RESCAN = 5;
const BG_MSG_DB_SPLICE_CHILDREN = 100;
const BG_MSG_DB_OBJECT_CHANGED = 101;
const BG_MSG_DB_RESCAN_DONE = 102;
const BG_FUNC_DB_BROWSE_OBJECT = 200;
const BG_FUNC_DB_BROWSE_CHILDREN = 201;
const BG_RESP_DB_BROWSE_OBJECT = 300;
const BG_RESP_DB_BROWSE_CHILDREN = 301;
const BG_CMD_MENU_ITEM_SELECT = 1;
const BG_CMD_MENU_ITEM_FIRE = 2;
const BG_MSG_MENU_ITEM_SELECTED = 101;
const BG_MSG_MENU_ITEM_FIRED = 102;
const BG_MSG_STATE_CHANGED = 1;
const BG_CMD_SET_STATE = 100;
const BG_CMD_SET_STATE_REL = 101;
const BG_CMD_VISUALIZER_SET_PLUGIN = 1;
const BG_CMD_VISUALIZER_PAUSE = 2;
const BG_PLAYQUEUE_ID = "/playqueue";
const BG_PLAYER_META_CLIENT_ID = GAVL_MSG_CLIENT_ID;
const BG_PLAYER_META_ORIGINAL_ID = "OriginalID";
const BG_PLAYER_STATE_CTX = "player";
const BG_PLAYER_STATE_VOLUME = "volume";
const BG_PLAYER_STATE_STATUS = "status";
const BG_PLAYER_STATE_CURRENT_TRACK = "track";
const BG_PLAYER_STATE_CURRENT_TIME = "current_time";
const BG_PLAYER_STATE_PROTOCOLS = "protocols";
const BG_PLAYER_STATE_MIMETYPES = "mimetypes";
const BG_PLAYER_STATE_LABEL = GAVL_META_LABEL;
const BG_PLAYER_TIME = "time";
const BG_PLAYER_TIME_REM = "time_rem";
const BG_PLAYER_TIME_ABS = "time_abs";
const BG_PLAYER_TIME_REM_ABS = "time_rem_abs";
const BG_PLAYER_TIME_PERC = "time_perc";
const BG_PLAYER_STATE_MODE = "mode";
const BG_PLAYER_STATE_MUTE = "mute";
const BG_PLAYER_STATE_AUDIO_STREAM_USER = "audio_stream_user";
const BG_PLAYER_STATE_VIDEO_STREAM_USER = "video_stream_user";
const BG_PLAYER_STATE_SUBTITLE_STREAM_USER = "subtitle_stream_user";
const BG_PLAYER_STATE_AUDIO_STREAM_CURRENT = "audio_stream_current";
const BG_PLAYER_STATE_VIDEO_STREAM_CURRENT = "video_stream_current";
const BG_PLAYER_STATE_SUBTITLE_STREAM_CURRENT = "subtitle_stream_current";
const BG_PLAYER_STATE_QUEUE_IDX = "QueueIdx";
const BG_PLAYER_STATE_QUEUE_LEN = "QueueLen";
const BG_PLAYER_STATE_CHAPTER = "chapter";
const BG_PLAYER_STATUS_INIT = -1;
const BG_PLAYER_STATUS_STOPPED = 0;
const BG_PLAYER_STATUS_PLAYING = 1;
const BG_PLAYER_STATUS_SEEKING = 2;
const BG_PLAYER_STATUS_CHANGING = 3;
const BG_PLAYER_STATUS_INTERRUPTED = 4;
const BG_PLAYER_STATUS_PAUSED = 5;
const BG_PLAYER_STATUS_STARTING = 7;
const BG_PLAYER_STATUS_ERROR = 8;
const BG_PLAYER_MODE_NORMAL = 0;
const BG_PLAYER_MODE_REPEAT = 1;
const BG_PLAYER_MODE_SHUFFLE = 2;
const BG_PLAYER_MODE_ONE = 3;
const BG_PLAYER_MODE_LOOP = 4;
const BG_PLAYER_MODE_MAX = 5;
const BG_PLAYER_CMD_STOP = 1;
const BG_PLAYER_CMD_SET_ERROR = 3;
const BG_PLAYER_CMD_QUIT = 4;
const BG_PLAYER_CMD_NEXT = 5;
const BG_PLAYER_CMD_PREV = 6;
const BG_PLAYER_CMD_PAUSE = 8;
const BG_PLAYER_CMD_SET_NEXT_TRACK = 9;
const BG_PLAYER_CMD_INTERRUPT = 23;
const BG_PLAYER_CMD_INTERRUPT_RESUME = 24;
const BG_PLAYER_CMD_PLAY = 26;
const BG_PLAYER_CMD_SHOW_INFO = 30;
const BG_PLAYER_CMD_SHOW_TIME = 31;
const BG_PLAYER_CMD_AUDIO_STREAM_MENU = 32;
const BG_PLAYER_CMD_SUBTITLE_STREAM_MENU = 33;
const BG_PLAYER_CMD_CHAPTER_MENU = 34;
const BG_PLAYER_CMD_SET_AUTH = 37;
const BG_PLAYER_CMD_SET_CURRENT_TRACK = 40;
const BG_PLAYER_CMD_SET_TRACK = 41;
const BG_PLAYER_CMD_SET_LOCATION = 42;
const BG_PLAYER_CMD_PLAY_BY_ID = 43;
const BG_PLAYER_CMD_NEXT_VISUALIZATION = 44;
const BG_PLAYER_MSG_ACCEL = 113;
const BG_PLAYER_MSG_CLEANUP = 114;
const BG_PLAYER_MSG_INTERRUPT = 119;
const BG_PLAYER_MSG_INTERRUPT_RESUME = 120;
const BG_PLAYER_MSG_AUDIO_PEAK = 122;
const BG_PLAYER_MSG_TRANSITION = 124;
const BG_PLAYER_MSG_CURRENT_TRACK_CHANGED = 130;
const BG_PLAYER_MSG_MAX = 200;
const BG_PLAYER_ACCEL_VOLUME_DOWN = 1;
const BG_PLAYER_ACCEL_VOLUME_UP = 2;
const BG_PLAYER_ACCEL_SEEK_BACKWARD = 3;
const BG_PLAYER_ACCEL_SEEK_FORWARD = 4;
const BG_PLAYER_ACCEL_SEEK_START = 5;
const BG_PLAYER_ACCEL_PAUSE = 6;
const BG_PLAYER_ACCEL_MUTE = 7;
const BG_PLAYER_ACCEL_NEXT_CHAPTER = 8;
const BG_PLAYER_ACCEL_PREV_CHAPTER = 9;
const BG_PLAYER_ACCEL_NEXT = 10;
const BG_PLAYER_ACCEL_PREV = 11;
const BG_PLAYER_ACCEL_PLAY = 12;
const BG_PLAYER_ACCEL_STOP = 13;
const BG_PLAYER_ACCEL_SEEK_10 = 21;
const BG_PLAYER_ACCEL_SEEK_20 = 22;
const BG_PLAYER_ACCEL_SEEK_30 = 23;
const BG_PLAYER_ACCEL_SEEK_40 = 24;
const BG_PLAYER_ACCEL_SEEK_50 = 25;
const BG_PLAYER_ACCEL_SEEK_60 = 26;
const BG_PLAYER_ACCEL_SEEK_70 = 27;
const BG_PLAYER_ACCEL_SEEK_80 = 28;
const BG_PLAYER_ACCEL_SEEK_90 = 29;
const BG_PLAYER_ACCEL_SHOW_INFO = 30;
const BG_PLAYER_ACCEL_SHOW_TIME = 31;
const BG_PLAYER_ACCEL_AUDIO_STREAM_MENU = 32;
const BG_PLAYER_ACCEL_SUBTITLE_STREAM_MENU = 33;
const BG_PLAYER_ACCEL_CHAPTER_MENU = 34;
const BG_PLAYER_ACCEL_SEEK_BACKWARD_FAST = 35;
const BG_PLAYER_ACCEL_SEEK_FORWARD_FAST = 36;
const BG_PLAYER_ACCEL_FULLSCREEN_ON = 37;
const BG_PLAYER_ACCEL_FULLSCREEN_OFF = 38;
const BG_PLAYER_ACCEL_FULLSCREEN_TOGGLE = 39;
const BG_PLAYER_ACCEL_NEXT_VISUALIZATION = 40;
const BG_PLAYER_ACCEL_PRIV = 100;
